> ## Documentation Index
> Fetch the complete documentation index at: https://developer.salesforge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete webhook

> Delete a registered webhook. A webhook's signing secret cannot be rotated or retrieved, so deleting and recreating the webhook is how a lost or leaked secret is replaced.



## OpenAPI

````yaml https://api.salesforge.ai/public/v2/swagger/doc.json delete /workspaces/{workspaceID}/integrations/webhooks/{webhookID}
openapi: 3.1.0
info:
  description: Get mailboxes associated with the workspace.
  termsOfService: https://www.salesforge.ai/terms
  title: Salesforge API
  version: '2.0'
servers:
  - url: https://api.salesforge.ai/public/v2
security:
  - ApiKeyAuth: []
externalDocs:
  description: ''
  url: ''
paths:
  /workspaces/{workspaceID}/integrations/webhooks/{webhookID}:
    delete:
      tags:
        - webhooks
      summary: Delete webhook
      description: >-
        Delete a registered webhook. A webhook's signing secret cannot be
        rotated or retrieved, so deleting and recreating the webhook is how a
        lost or leaked secret is replaced.
      parameters:
        - description: Workspace ID
          in: path
          name: workspaceID
          required: true
          schema:
            type: string
        - description: Webhook ID
          in: path
          name: webhookID
          required: true
          schema:
            type: string
      responses:
        '204':
          description: Webhook deleted successfully
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.Error'
          description: Webhook not found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.Error'
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    errors.Error:
      allOf:
        - $ref: '#/components/schemas/data'
      properties:
        data: {}
        message:
          type: string
      type: object
    data:
      properties:
        data:
          items:
            $ref: '#/components/schemas/api.DNCResponse'
          type: array
      type: object
    api.DNCResponse:
      properties:
        createdAt:
          type: string
        type:
          $ref: '#/components/schemas/models.DncType'
        value:
          type: string
      type: object
    models.DncType:
      enum:
        - email
        - domain
        - linkedin
      type: string
      x-enum-varnames:
        - DncTypeEmail
        - DncTypeDomain
        - DncTypeLinkedin
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````